Summary: GNU Binary Utility Development Utilities
Name: binutils
Version: 2.11.90.0.1
Release: 1tr
Copyright: GPL
Group: Programming/Compilers
Source: ftp://ftp.varesearch.com/pub/support/hjl/binutils/binutils-%{version}.tar.gz
Buildroot: /var/tmp/binutils-root
Summary(fr): Utilitaires de dveloppement binaire de GNU
Summary(tr): GNU gelitirme aralar

%description
Binutils is a collection of utilities necessary for compiling programs. It
includes the assembler and linker, as well as a number of other
miscellaneous programs for dealing with executable formats.

%prep
%setup -q

%build
NumCPUs=`grep -i BogoMIPS /proc/cpuinfo | wc -l | xargs expr`
echo "MAKE=make -j $NumCPUs" > makefile
echo "include Makefile" >> makefile
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --enable-shared \
	--mandir=/usr/share/man --infodir=/usr/share/info i586-trustix-linux
%ifarch ppc
  sed -e "s!LIB_PATH =!export LIB_PATH = /lib:/usr/lib:/usr/local/lib!" \
      < ld/Makefile >ld/Makefile.tmp
  mv -f ld/Makefile.tmp ld/Makefile
%endif
make tooldir=/usr all info

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make prefix=$RPM_BUILD_ROOT/usr tooldir=$RPM_BUILD_ROOT/usr/ mandir=$RPM_BUILD_ROOT/usr/share/man infodir=$RPM_BUILD_ROOT/usr/share/info install install-info
./binutils/strip-new $RPM_BUILD_ROOT/usr/bin/*
gzip -q9f $RPM_BUILD_ROOT/usr/share/info/*.info*

## Get rid of that arch-specific directory
#rm -rf $RPM_BUILD_ROOT/usr/lib/bin

#install -m 644 libiberty/libiberty.a $RPM_BUILD_ROOT/usr/lib
install -m 644 include/libiberty.h $RPM_BUILD_ROOT/usr/include

chmod +x $RPM_BUILD_ROOT/usr/lib/lib*.so*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
/sbin/install-info --info-dir=/usr/share/info /usr/share/info/as.info.gz
/sbin/install-info --info-dir=/usr/share/info /usr/share/info/bfd.info.gz
/sbin/install-info --info-dir=/usr/share/info /usr/share/info/binutils.info.gz
/sbin/install-info --info-dir=/usr/share/info /usr/share/info/gasp.info.gz
/sbin/install-info --info-dir=/usr/share/info /usr/share/info/gprof.info.gz
/sbin/install-info --info-dir=/usr/share/info /usr/share/info/ld.info.gz
/sbin/install-info --info-dir=/usr/share/info /usr/share/info/standards.info.gz

%preun
if [ $1 = 0 ] ;then
  /sbin/install-info --delete --info-dir=/usr/share/info /usr/share/info/as.info.gz
  /sbin/install-info --delete --info-dir=/usr/share/info /usr/share/info/bfd.info.gz
  /sbin/install-info --delete --info-dir=/usr/share/info /usr/share/info/binutils.info.gz
  /sbin/install-info --delete --info-dir=/usr/share/info /usr/share/info/gasp.info.gz
  /sbin/install-info --delete --info-dir=/usr/share/info /usr/share/info/gprof.info.gz
  /sbin/install-info --delete --info-dir=/usr/share/info /usr/share/info/ld.info.gz
  /sbin/install-info --delete --info-dir=/usr/share/info /usr/share/info/standards.info.gz
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
/usr/bin/*
/usr/share/man/man1/*
/usr/include/*
/usr/lib/*
/usr/share/info/*info*

%changelog
* Mon Mar 12 2001 Alexander Reelsen <ar@trustix.com>
- Updated to 2.11.90.0.1

* Wed Jul 26 2000 Erlend Midttun <erlendbm@trustix.com>
- Updated to 2.10.0.18

* Mon May 08 2000 Oystein Viggen <oysteivi@trustix.com>
- updated to 2.9.5.0.41

* Sun Jan 23 2000 Erlend Midttun <erlendbm@trustix.com>
- Changed path of info and man to comply with FHS std.

* Thu Dec  2 1999 <hjl@gnu.org>
- updated to 2.9.5.0.22.

* Mon Nov 22 1999 <hjl@gnu.org>
- updated to 2.9.5.0.21.

* Thu Nov  4 1999 <hjl@gnu.org>
- updated to 2.9.5.0.19.

* Tue Oct 12 1999 <hjl@gnu.org>
- updated to 2.9.5.0.16.

* Mon Sep 27 1999 <hjl@gnu.org>
- updated to 2.9.5.0.14.

* Wed Sep 22 1999 <hjl@gnu.org>
- updated to 2.9.5.0.13.

* Fri Sep 10 1999 <hjl@gnu.org>
- updated to 2.9.5.0.12.

* Mon Sep  6 1999 <hjl@gnu.org>
- updated to 2.9.5.0.11.

* Tue Aug 31 1999 <hjl@gnu.org>
- updated to 2.9.5.0.10.

* Fri Aug 27 1999 <hjl@gnu.org>
- updated to 2.9.5.0.9.

* Sat Aug 21 1999 <hjl@gnu.org>
- updated to 2.9.5.0.8.

* Fri Aug 13 1999 <hjl@gnu.org>
- updated to 2.9.5.0.7.

* Mon Aug  9 1999 <hjl@gnu.org>
- updated to 2.9.5.0.6.

* Fri Aug  6 1999 <hjl@gnu.org>
- updated to 2.9.5.0.5.

* Mon Aug  2 1999 <hjl@gnu.org>
- updated to 2.9.5.0.4.

* Mon Jul 19 1999 <hjl@gnu.org>
- updated to 2.9.5.0.3.

* Sat Jul 10 1999 <hjl@gnu.org>
- updated to 2.9.4.0.8.

* Sat Jun 26 1999 <hjl@gnu.org>
- updated to 2.9.4.0.7.

* Sun Jun 20 1999 <hjl@gnu.org>
- updated to 2.9.4.0.6.

* Sat Jun 12 1999 <hjl@gnu.org>
- updated to 2.9.4.0.5.

* Fri Jun 11 1999 <hjl@gnu.org>
- updated to 2.9.4.0.4.

* Mon Jun  7 1999 <hjl@gnu.org>
- updated to 2.9.4.0.3.

* Sun Jun  6 1999 <hjl@gnu.org>
- updated to 2.9.4.0.2.

* Sat Jun  5 1999 <hjl@gnu.org>
- updated to 2.9.4.0.1.

* Sat May 22 1999 <hjl@gnu.org>
- updated to 2.9.1.0.25.

* Wed Apr 21 1999 <hjl@gnu.org>
- updated to 2.9.1.0.24.

* Wed Mar 31 1999 hjl <hjl@gnu.org>
- updated to 2.9.1.0.23.

* Wed Feb 26 1999 hjl <hjl@gnu.org>
- updated to 2.9.1.0.22b.
